summaryrefslogtreecommitdiffstats
path: root/network/dnstop
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-11 20:01:31 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:31 +0200
commit270a3d6ee526f5ba415493abbdc23aa87ac16585 (patch)
tree4e19876940dca92cae47f1bbedf0de717861eeae /network/dnstop
parentc5b8f0a5d9694132063cc3ea5a407a2fe65ba10c (diff)
downloadslackbuilds-270a3d6ee526f5ba415493abbdc23aa87ac16585.tar.gz
slackbuilds-270a3d6ee526f5ba415493abbdc23aa87ac16585.tar.xz
network/dnstop: Added to 12.0 repository
Diffstat (limited to 'network/dnstop')
-rw-r--r--network/dnstop/README26
-rw-r--r--network/dnstop/dnstop.SlackBuild63
-rw-r--r--network/dnstop/dnstop.info8
-rw-r--r--network/dnstop/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/network/dnstop/README b/network/dnstop/README
new file mode 100644
index 0000000000..4465add979
--- /dev/null
+++ b/network/dnstop/README
@@ -0,0 +1,26 @@
+dnstop is a libpcap application (ala tcpdump) that displays various tables of DNS traffic on your network. Currently dnstop displays tables of:
+
+ * Source IP addresses
+ * Destination IP addresses
+ * Query types
+ * Response codes
+ * Opcodes
+ * Top level domains
+ * Second level domains
+ * Third level domains
+ * etc...
+
+dnstop supports both IPv4 and IPv6 addresses.
+
+To help find especially undesirable DNS queries, dnstop provides a number of filters. The filters tell dnstop to display only the following types of queries:
+
+ * For unknown/invalid TLDs
+ * A queries where the query name is already an IP address
+ * PTR queries for RFC1918 address space
+
+dnstop can either read packets from the live capture device, or from a tcpdump savefile.
+
+--
+Unless modified, this script compiles with PPP frame support.
+
+Homepage: http://dns.measurement-factory.com/tools/dnstop/
diff --git a/network/dnstop/dnstop.SlackBuild b/network/dnstop/dnstop.SlackBuild
new file mode 100644
index 0000000000..4172220e2c
--- /dev/null
+++ b/network/dnstop/dnstop.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for dnstop
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# Exit on most errors
+set -e
+
+PRGNAM=dnstop
+VERSION=20070510
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Create destdirs
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man8
+
+# Set the destdir and enable PPP support
+mv Makefile Makefile.std
+cat Makefile.std \
+ | sed -e s#/usr/local#$PKG/usr# \
+ -e 's/DUSE_PPP=0/DUSE_PPP=1/' > Makefile
+
+make
+make install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/dnstop/dnstop.info b/network/dnstop/dnstop.info
new file mode 100644
index 0000000000..acfdafc515
--- /dev/null
+++ b/network/dnstop/dnstop.info
@@ -0,0 +1,8 @@
+PRGNAM="dnstop"
+VERSION="20070510"
+HOMEPAGE="http://dns.measurement-factory.com/tools/dnstop/"
+DOWNLOAD="http://dns.measurement-factory.com/tools/dnstop/src/dnstop-20070510.tar.gz"
+MD5SUM="a68f764a10c7ad7bf16a19223df865af"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="BP{k}"
diff --git a/network/dnstop/slack-desc b/network/dnstop/slack-desc
new file mode 100644
index 0000000000..2a8d1d0aea
--- /dev/null
+++ b/network/dnstop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dnstop: Dnstop (Stay on Top of Your DNS Traffic)
+dnstop:
+dnstop: DNSTOP is a libpcap application (ala tcpdump) that displays various
+dnstop: tables of DNS traffic on your network, including tables of source and
+dnstop: destination IP addresses, query types, top level domains and second
+dnstop: level domains.
+dnstop:
+dnstop: The dnstop tool is written by Duane Wessels and maintained at the
+dnstop: Measurement Factory
+dnstop:
+dnstop: